Package ru.bitel.bgbilling.kernel.table.common.bean

# Class BGUTableColumn.Builder

java.lang.Object
ru.bitel.bgbilling.kernel.table.common.bean.BGUTableColumn.Builder

Enclosing class:
  `BGUTableColumn`

public static class BGUTableColumn.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BGUTableColumn`
  `build()`
  `BGUTableColumn.Builder`
  `setClassName(String className)`
  `BGUTableColumn.Builder`
  `setEditable(boolean editable)`
  `BGUTableColumn.Builder`
  `setMaxWidth(int maxWidth)`
  `BGUTableColumn.Builder`
  `setMinWidth(int minWidth)`
  `BGUTableColumn.Builder`
  `setName(String name)`
  `BGUTableColumn.Builder`
  `setPrefWidth(int prefWidth)`
  `BGUTableColumn.Builder`
  `setSortable(boolean sortable)`
  `BGUTableColumn.Builder`
  `setTableCellRenderer(ru.bitel.bgbilling.kernel.table.common.enums.BGUTableCellRenderer tableCellRenderer)`
  `BGUTableColumn.Builder`
  `setTitle(String title)`
  `BGUTableColumn.Builder`
  `setWidth(int minWidth, int prefWidth, int maxWidth)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setTitle

    public BGUTableColumn.Builder setTitle(String title)

  - ### setWidth

    public BGUTableColumn.Builder setWidth(int minWidth, int prefWidth, int maxWidth)

  - ### setMinWidth

    public BGUTableColumn.Builder setMinWidth(int minWidth)

  - ### setPrefWidth

    public BGUTableColumn.Builder setPrefWidth(int prefWidth)

  - ### setMaxWidth

    public BGUTableColumn.Builder setMaxWidth(int maxWidth)

  - ### setName

    public BGUTableColumn.Builder setName(String name)

  - ### setClassName

    public BGUTableColumn.Builder setClassName(String className)

  - ### setSortable

    public BGUTableColumn.Builder setSortable(boolean sortable)

  - ### setEditable

    public BGUTableColumn.Builder setEditable(boolean editable)

  - ### setTableCellRenderer

    public BGUTableColumn.Builder setTableCellRenderer(ru.bitel.bgbilling.kernel.table.common.enums.BGUTableCellRenderer tableCellRenderer)

  - ### build

    public BGUTableColumn build()